<?php
session_start();
$content=file("../../sg_cm/conf/conf/conf.php");
if (session_id()!=$content[2])
 {
  $url=urlencode("Пройдите_авторизацию!");
  echo "<meta http-equiv=refresh content='0; url=../../sg_cm/admin/index.php?acc=$url'>";
  exit();
 }
if(!isset($_GET['id'])  || !isset($_GET['op']))
   {
   	 echo "<meta http-equiv=refresh content='0; url=admin4.php?sel4=selected'>";
     exit();
   }
 if(!file_exists("cons/quest/$_GET[id]"))
   {
   	 echo "<meta http-equiv=refresh content='0; url=admin4.php?sel4=selected'>";
     exit();
   }
 if(isset($_POST['exit']))
   {
   	 echo "<meta http-equiv=refresh content='0; url=admin4.php?sel4=selected'>";
     exit();
   }
//почта 
$mset=file('../../sg_cm/conf/set.php');
for($i=0; $i<count($mset); $i++) $mset[$i]=trim($mset[$i]);
if ($mset[4]=="X5" && is_file("../../res/imemail.inc.php")) {$incl="../../res/imemail.inc.php";}
elseif (is_file("../../sg_cm/include/email_libM.php")) {$incl="../../sg_cm/include/email_libM.php"; $mset[4]=="libM";}
elseif (is_file("../../res/imemail.inc.php")) {$incl="../../res/imemail.inc.php"; $mset[4]=="X5";}
else exit ("Не найден скрипт отправки почты");
require($incl); 
require ('../../sg_cm/include/mailtemplater.php');
require ('../../sg_cm/root.php');

$server=rtrim($_SERVER['SERVER_NAME']."/".$sg_root,'/');
 
 $info="";
 if(isset($_POST['save']))
   {
      if($_POST['cons_list']=='none')$info="<font color=red>Назначьте консультанта!</font>";
    if($info=="")
    {
      $_POST['text1']=trim($_POST['text1']);
      if($_POST['text1']!="")
        {
          $_POST['text1']=str_replace("\r\n","<br>",$_POST['text1']);
          $_POST['text1']=stripslashes($_POST['text1']);
          $file=file("cons/quest/$_GET[id]");
          $file[0]=trim($file[0]);
          $expl=explode("*",$file[0]);
          $f=fopen("cons/quest/$_GET[id]","w");
          fwrite($f,$expl[0]."*".$expl[1]."*".$expl[2]."*".$expl[3]."*".$_POST['cons_list']."\r\n".$_POST['text1']."\r\n");
          fclose($f);

          if($expl[4]!=$_POST['cons_list'] && isset($_POST['cons_list']) && $_POST['cons_list'] !='')
            { 
               $us=file("cons/cons/$_POST[cons_list]");
               $us[0]=trim($us[0]);
               $expl=explode("*",$us[0]);
                $subj="Вам задали вопрос.";
                $mess=
"Здравствуйте, $expl[0]! Вам задали вопрос на сайте http://".$server." .
Ответить на него вы можете в  <a href='http://".$server."/cons'> панели управления консультанта </a>. </p>
C уважением. Администратор.";
               $mess=str_replace("\r\n\r\n","\r\n",$mess);
	$nnews=array (0=>'');
	$t=array (0=>'',1=>'',2=>'',3=>'');
	$t[0]=ucfirst($server);
	$nnews[0]=$mess;
	if ($mset[3]!='TXT') $mess=mailtemplater($nnews,$t);
	else $mess='';
	if ($mset[3]!='HTML')$mess_txt=mailtemplater_txt($nnews,$t);
	else $mess_txt='';
                $to=trim($expl[1]); require("../../sg_cm/conf/email_set.php");
            }
		
			if($expl[4]!=$_POST['cons_list'] && isset($_POST['cons_list']) && $_POST['cons_list'] =='')
			{  
               $blok=file("conf/blok.txt");
               for($i=0; $i<count($blok); $i++) $blok[$i]=trim($blok[$i]);
               $oll_mail=array();
               $d=opendir("cons/cons");
               while(($t=readdir($d))!=false)
                {
                  if($t =="." || $t ==".." || $t==".htaccess") continue;
                  $file=file("cons/cons/$t");
                  $expl=explode("*",$file[0]);
                  if((!in_array($t,$blok))) $oll_mail[]= $expl[1];
                }
                closedir($d);
                 $subj= "Вам задали вопрос.";
                 $mess=
"Здравствуйте! Вы зарегистрированы консультантом на сайте http://".$server." . Вам задали вопрос.
Ответить на него вы можете в  <a href='http://".$server."/cons'> панели управления консультанта </a>. </p>
C уважением. Администратор.";
               $mess=str_replace("\r\n\r\n","\r\n",$mess);
	$nnews=array (0=>'');
	$t=array (0=>'',1=>'',2=>'',3=>'');
	$t[0]=ucfirst($server);
	$nnews[0]=$mess;
	if ($mset[3]!='TXT') $mess=mailtemplater($nnews,$t);
	else $mess='';
	if ($mset[3]!='HTML')$mess_txt=mailtemplater_txt($nnews,$t); 
	else $mess_txt='';
               foreach($oll_mail as $line) {usleep(350000);$to=trim($line); require("../../sg_cm/conf/email_set.php");} 
			}
        }
    }
   }
 if($_GET['op']==1)
   {
     $blok=file("conf/blok.txt");
     for($i=0; $i<count($blok); $i++) $blok[$i]=trim($blok[$i]);

     $file=file("cons/quest/$_GET[id]");
     $file[0]=trim($file[0]);
     $expl=explode("*",$file[0]);
     $file[1]=str_replace("<br>","\r\n",$file[1]);

     $cons=array();
     $cons1=array();
     $cons=file("conf/cons.txt");
     foreach($cons as $line)
     {
       $ex=explode("*",$line);
       if((!in_array( $ex[0],$blok))) $cons1[$ex[1]]=$ex[0];
     }
   }

if($_GET['op']==3)
   {
     unlink("cons/quest/$_GET[id]");
     echo "<meta http-equiv=refresh content='0; url=admin4.php?sel4=selected'>";
     exit();
   }
if($_GET['op']==2)
   {
     $file=file("cons/quest/$_GET[id]");
     $expl=explode("*",$file[0]);
     $bl=file("conf/bl.txt");
     $search=false;
     foreach($bl as $line)
      {
        $line=trim($line);
        $expl1=explode("*",$line);
        if($expl1[2]==$expl[3])
           {
             $search=true;
             break;
           }
      }
     if(!$search)
        {
          $f=fopen("conf/bl.txt","a+");
          fwrite($f,$expl[1]."*".$expl[2]."*".$expl[3]."\r\n");
          fclose($f);
        }

     echo "<meta http-equiv=refresh content='0; url=admin4.php?sel4=selected'>";
     exit();
   }


?>
<!DOCTYPE html>
<html>
	<head>
	<meta charset="utf-8" />
  <title>Редактирование</title>

<style>
  #head
         {
          font-family: Arial, sans-serif;
          font-size:14pt;
          color:#808080;

         }
    #inf
         {
          font-family: Arial, sans-serif;
          font-size:9pt;
          color:#808080;
           font-weight:600;
         }

    #inf1
         {
          font-family: Arial, sans-serif;
          font-size:9pt;
          color:#333333;

         }

  #button {

       font-family:"Times New Roman", "serif";
       color:#408080;
       font-size:9pt;
       background-color:#C0C0C0;
      font-weight:600;
      text-align:center;
      width:120px;
         }

</style>
</head>

<body><div id=head>Редактирование</div>
<span id=inf1>При переадресации вопроса, или адресации вопроса определённому консультанту, этому консультанту приходит уведомление на e-mail</span><br /><br /><br />

<?php if($info!="") echo $info?>

<form  action=no_repl.php?<?php echo "id=$_GET[id]&op=$_GET[op]"?> method="post">
<table>
  <tr>
     <td >
         <?php echo "<span id=inf>$expl[0]&nbsp;&nbsp;&nbsp;$expl[1]&nbsp;&nbsp;&nbsp;$expl[2]&nbsp;&nbsp;&nbsp;$expl[3]</span>" ?>
      </td>
      <td align=right>
           <select name="cons_list">
         <?php

              if(!count($cons1))echo "<option value='none'>Консультантов нет, или все в отпуске!</option>";
              else
               { $selall="";
			 if (trim($expl[4])=='')  $selall='selected';
			 echo "<option value='' $selall>Всем консультантам</option>";
               	 foreach($cons1 as $k=>$v)
               	   {
               	   	 $sel="";
               	   	 if($v==$expl[4])$sel='selected';
               	   	 echo "<option value=$v $sel>$k</option>";
               	   }
               }

           ?>
        </select>
      </td>
  </tr>
  <tr><td colspan=2>  <textarea name="text1" rows=15 cols=90 ><?php echo $file[1]?></textarea><br />
<input type="submit" value="Сохранить" name=save id=button>
&nbsp;&nbsp;<input type="submit" value="Выход" name=exit id=button>

      </td>
  </tr>
</table>
</form>
</body>
</html>